<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * lnApp Main home page
 *
 * @package    lnApp
 * @subpackage Page/Home
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_Welcome extends Controller_TemplateDefault {
	protected $auth_required = FALSE;

	public function action_index() {
		if (! Kohana::config('config.appname'))
			Request::current()->redirect('guide/app');

		// @todo This should be in the DB or something.
		Request::current()->redirect('product/categorys');
	}

	public function action_breadcrumb() {
		$this->auto_render = FALSE;

		$this->response->body(Session::instance()->get_once('breadcrumb'));
	}
}
?>
